Last Comment Bug 815151 - Invitation replies are not shown (REPLY method, sender is null)
: Invitation replies are not shown (REPLY method, sender is null)
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: E-mail based Scheduling (iTIP/iMIP) (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 1.9.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 466451
  Show dependency treegraph
 
Reported: 2012-11-26 07:43 PST by Philipp Kewisch [:Fallen]
Modified: 2013-03-10 07:37 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (2.22 KB, patch)
2012-11-26 07:44 PST, Philipp Kewisch [:Fallen]
matthew.mecca: review+
Details | Diff | Splinter Review

Description Philipp Kewisch [:Fallen] 2012-11-26 07:43:32 PST
Unfortunately I didn't get a reply in bug 466451 that might have stopped me from changing this, but this part:

> @@ +103,5 @@
> > +                                       "lightning");
> > +                   break;
> > +               case 'REPLY': {
> > +                   // Generate proper body from my participation status
> > +                   let sender = item.getAttendees({})[0];
> 
> Why is the sender always the first attendee? Shouldn't this be 
> cal.getInvitedAttendee() ?

should not have been changed, aside from a check if the attendee even exists.

I'm going to have to release a 1.9.1 for this.
Comment 1 Philipp Kewisch [:Fallen] 2012-11-26 07:44:48 PST
Created attachment 685167 [details] [diff] [review]
Fix - v1
Comment 2 Matthew Mecca [:mmecca] 2012-11-26 19:55:03 PST
Comment on attachment 685167 [details] [diff] [review]
Fix - v1

Looks good. r=mmecca
Comment 3 Philipp Kewisch [:Fallen] 2012-11-29 04:47:22 PST
Pushed to comm-central changeset c576ca61d4cf
Comment 4 Philipp Kewisch [:Fallen] 2012-11-29 04:48:18 PST
Backported to releases/comm-aurora changeset 2ad06a916b5c
Comment 5 Philipp Kewisch [:Fallen] 2012-11-29 04:49:07 PST
Backported to releases/comm-beta changeset eb3dcd74b10f
Comment 6 Matthew Mecca [:mmecca] 2013-02-08 12:56:18 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/0dc051fb48cc

Note You need to log in before you can comment on or make changes to this bug.